## redfishtool 1.1.5

=== requirements.txt ===
python-dateutil
requests

## redfishtool 1.0.8

=== debian/changelog ===
redfishtool (1.0.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 19:34:27 +0200

redfishtool (1.0.8-1) experimental; urgency=medium

  * Initial release. (Closes: #927248)

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Apr 2019 22:14:33 +0200

=== debian/control ===
Source: redfishtool
Section: admin
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 93~),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/redfishtool
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/redfishtool.git
Homepage: https://github.com/DMTF/Redfishtool

Package: redfishtool
Architecture: all
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: redfish command-line client
 Redfishtool is a commandline tool that implements the client side of the
 Redfish RESTful API for Data Center Hardware Management.
 .
 Redfish is the new RESTful API for hardware management defined by the DMTF
 Scalable Platform Management Forum (SPMF). It provides a modern, secure,
 multi-node, extendable interface for doing hardware management. The initial
 release included hardware inventory, server power-on/off/reset, reading power
 draw, setting power limits, reading sensors such as fans, read/write of ID
 LEDs, asset tags, and went beyond IPMI in functionality to include inventory
 of processors, storage, Ethernet controllers, and total memory. New Redfish
 extensions have now been added to the spec and include firmware update, BIOS
 config, memory inventory, direct attached storage control, and the list grows.
 .
 redfishtool makes it simple to use the Redfish API from a BASH script or
 interactively from a client command shell.
 .
 While other generic HTTP clients such as Linux curl can send and receive
 Redfish requests, redfishtool goes well beyond these generic HTTP clients by
 automatically handling many of the hypermedia and Redfish-specific protocol
 aspects of the Redfish API that require a client to often execute multiple
 queries to a redfish service to walk the hypermedia links from the redfish
 root down to the detailed URI of a specific resource (eg Processor-2 of
 Blade-4 in a computer blade system). Specifically, redfishtool provides the
 following functions over curl:
 .
  * implements Redfish Session Authentication as well as HTTP Basic Auth
  * walks the Redfish schema following strict interoperpbility processors...]
    to find the targeted instance based on Id, UUID, URL or other
    attributes
  * handles GETs for collections that are returned in multiple pieces-requiring
    client to read in a loop until the full collection is returned
  * handles ETag and If-Match headers when PATCHing a resource to write
    properties
  * implements many common set or action operations with simple commandline
    syntax (eg server reset, setting LEDs, assetTag, powerLimits, etc)
  * negotiates the latest redfish protocol version between client and service
    (demonstrating the proper way to do this)
  * can read specific properties of a resource, or expand collections to
    include all members of the collection expanded
  * supports adding and deleting users, and common Redfish account service
    operations
  * For debug, provides multiple levels of verbose output to add descriptive
    headers, and show what HTTP requests are being executed
  * For debug, includes multiple levels of status display showing HTTP status
    codes and headers returned and sent
  * For easy parsing, outputs all responses in JSON format unless verbose or
    status debug options were specified

## redfishtool 1.1.0

=== debian/changelog ===
redfishtool (1.1.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:28 +0100

redfishtool (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release (Closes: #932402).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2019 18:32:48 +0100

redfishtool (1.0.8-3) unstable; urgency=medium

  * Removed python2 build depends (Closes: #938343).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 16:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,10 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools (>= 93~),
- python-all,
- python-setuptools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/redfishtool
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/redfishtool.git
 Homepage: https://github.com/DMTF/Redfishtool

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/DMTF/Redfishtool
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
#		python$$pyvers setup.py test ; \
#	done
#endif

override_dh_auto_test:
	echo "Do nothing..."

## redfishtool 1.1.5

=== debian/changelog ===
redfishtool (1.1.5-3) unstable; urgency=medium

  * Fix syntax warning when installing (Closes: #1087044).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 12:52:21 +0100

redfishtool (1.1.5-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090690).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:46:34 +0100

redfishtool (1.1.5-1) unstable; urgency=medium

  * New upstream release (Closes: #985621).
  * Add python3-dateutil runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 11:38:02 +0100

redfishtool (1.1.0-3) unstable; urgency=medium

  * Add dh_python3 --shebang=/usr/bin/python3 (Closes: #976769)

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2020 00:08:09 +0100

redfishtool (1.1.0-2) unstable; urgency=medium

  * Add missing override_dh_python3 to fix shebang.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 15:12:22 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Package: redfishtool
 Architecture: all
 Depends:
+ python3-dateutil,
  python3-requests,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr
@@ -25,3 +25,6 @@
 
 override_dh_auto_test:
 	echo "Do nothing..."
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
